import { OnInit, EventEmitter } from '@angular/core';
import { CattaxCategoryInterface } from '../../popup.types';
import { CattaxCategoryService } from './cattax-category.service';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CattaxCategoryComponent implements OnInit {
    private cattaxService;
    cattaxSearch: any;
    initialData: any[];
    initialSelectedSet: any[];
    popupSelectedOutput: EventEmitter<any>;
    selectedItems: any[];
    searchString: string;
    category: BehaviorSubject<Array<CattaxCategoryInterface>>;
    constructor(cattaxService: CattaxCategoryService);
    ngOnInit(): void;
    prepareDataForUi(items: any, level?: number, parentNode?: any, isExtend?: boolean): any;
    clearAll(): void;
    addToSelected(category: any): void;
    findPathToRoot(selectedItem: any): false | any[];
    findNodeByValue(data: any, value: any): any;
    deleteFromSelected(category: any): void;
    toggleVisibility(category: CattaxCategoryInterface): void;
    toggleChildrenRecursive(item: any, hidden: any): void;
    categoryExtended(category: any): void;
    emitData(): void;
    searchCattaxByName(value?: string): void;
    clearSearchInput(): void;
    private transformData;
    removeDuplicates(array: any, depth?: number): any[];
    atLeastOneCategoryAvailable(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CattaxCategoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CattaxCategoryComponent, "epom-popup-cattax-category", never, { "initialData": "initialData"; "initialSelectedSet": "initialSelectedSet"; }, { "popupSelectedOutput": "popupSelectedOutput"; }, never, never, false>;
}
